/ api / name / gb_watch_callback
GB_WATCH_CALLBACK
Syntax

    typedef
      void (*GB_WATCH_CALLBACK) ( int fd , int type , long param );

This is the the type definition of a callback used by the GB.Watch function.

The callback will receive the following parameters :

- fd is the watched file descriptor.
- type is the watch type: `GB_WATCH_READ` or `GB_WATCH_WRITE`.
- param is the extra parameter specified in GB.Watch.

### See also

Watching File Descriptors